Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DefaultColWidthRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DefaultColWidthRecord

    public final class DefaultColWidthRecord

extends StandardRecord

Title: Default Column Width Record (0x0055)

Description: Specifies the default width for columns that have no specific width set.

REFERENCE: PG 302 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static int` | `DEFAULT_COLUMN_WIDTH` The default column width is 8 characters
`static short` | `sid`

Constructor Summary
`DefaultColWidthRecord()`
`DefaultColWidthRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`int` | `getColWidth()` get the default column width
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setColWidth(int width)` set the default column width
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### DEFAULT_COLUMN_WIDTH

    public static final int DEFAULT_COLUMN_WIDTH

  The default column width is 8 characters

  See Also:
    Constant Field Values

Constructor Detail

### DefaultColWidthRecord

    public DefaultColWidthRecord()

### DefaultColWidthRecord

    public DefaultColWidthRecord(RecordInputStream in)

Method Detail

### setColWidth

    public void setColWidth(int width)

  set the default column width

  Parameters:
    `width` - defaultwidth for columns

### getColWidth

    public int getColWidth()

  get the default column width

  Returns:
    defaultwidth for columns

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD